#
# Copyright (c) 2005 X.Org Foundation L.L.C.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is furnished to do
# so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#
# Copyright (c) Applied Testing and Technology, Inc. 1995
# All Rights Reserved.
#
# Project:     VSW5
#
# File:        tetexec.cfg
#
# Description:
#       Execute configuration file for VSW5
#
# Modifications:
# $Log: tetexec.cfg,v $
# Revision 1.2  2005-11-03 08:42:00  jmichael
# clean up all vsw5 paths to use xts5 instead.
#
# Revision 1.1.1.2  2005/04/15 14:05:06  anderson
# Reimport of the base with the legal name in the copyright fixed.
#
# Revision 8.0  1998/12/23 23:39:36  mar
# Branch point for Release 5.0.2
#
# Revision 7.0  1998/10/30 23:02:43  mar
# Branch point for Release 5.0.2b1
#
# Revision 6.0  1998/03/02 05:30:36  tbr
# Branch point for Release 5.0.1
#
# Revision 5.1  1998/02/24 03:36:35  andy
# Added the XT_COVERAGE variable.
#
# Revision 5.0  1998/01/26 03:27:10  tbr
# Branch point for Release 5.0.1b1
#
# Revision 4.2  1998/01/23 00:37:47  tbr
# Fix XT_FONTSET typo. Add some variable descriptions.
#
# Revision 4.1  1998/01/22 05:28:25  tbr
# req.4.W.00029 vswsr126 vswsr125 vswsr124 vswsr122 vswsr127
# Added new fonts and modified XT_FONTSET to select those fonts
# and realigned the data files associated with certain tests
# to match the expected results when using the new fonts
#
# Revision 4.0  1995/12/15 09:26:02  tbr
# Branch point for Release 5.0.0
#
# Revision 3.1  1995/12/15  00:33:13  andy
# Prepare for GA Release
#

# Portions of this software are based on Xlib and X Protocol Test Suite.
# We have used this material under the terms of its copyright, which grants
# free use, subject to the conditions below.  Note however that those
# portions of this software that are based on the original Test Suite have
# been significantly revised and that all such revisions are copyright (c)
# 1995 Applied Testing and Technology, Inc.  Insomuch as the proprietary
# revisions cannot be separated from the freely copyable material, the net
# result is that use of this software is governed by the ApTest copyright.
#
# Copyright (c) 1990, 1991  X Consortium
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
# AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
# Except as contained in this notice, the name of the X Consortium shall not be
# used in advertising or otherwise to promote the sale, use or other dealings
# in this Software without prior written authorization from the X Consortium.
# 
# Copyright 1990, 1991 by UniSoft Group Limited.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee,
# provided that the above copyright notice appear in all copies and that
# both that copyright notice and this permission notice appear in
# supporting documentation, and that the name of and UniSoft not be
# used in advertising or publicity pertaining to distribution of the
# software without specific, written prior permission. and UniSoft
# makes no representations about the suitability of this software for any
# purpose.  It is provided "as is" without express or implied warranty.
#
# $XConsortium: tetexec.cfg,v 1.27 94/04/17 20:59:59 rws Exp $
#
###########################################################################
# This file contains run-time parameters for the test suite.
# They are accessed with the tet_getvar() function.
###########################################################################

##############################################
# Configuration parameters defined by the TET
##############################################

# TET_EXEC_IN_PLACE - Setting this variable to False indicates that 
# files will be executed in a temporary execution directory.
# Use of a temporary execution directory for each test enables 
# parallel execution of the test suite against multiple servers.
# Setting this variable to True will give you improved performance if
# you are not attempting parallel execution of the test suite against
# multiple servers.  
TET_EXEC_IN_PLACE=True

# TET_EXEC_LOCK - Indicate whether file locking should be used. Setting
# this variable to True means that a "tet_lock" file will be created in
# the execution directory of the test program. When this file exists,
# tcc will skip that test.
TET_EXEC_LOCK=False

# TET_SAVE_FILES - This indicates which files generated during execution of
# tests are to be saved for later examination. 
# This line should not be altered.
TET_SAVE_FILES=Err*.err,*.sav

###########################################################
# General configuration parameters
###########################################################

# XT_COVERAGE - There are three different levels of coverage that can be
# tested.  They are largely identical but effect a few tests which
# are in a transitional state in terms of consistency of the specification,
# test suite, and sample code.  The value of this variable determines
# whether these tests are run, or return results of UNTESTED.
#
#	0 - All tests are run.  This level is intended for use only by
#	    developers of the sample code and the test suite as
#	    it enables execution of tests which are under investigation.
#	1 - All tests which should pass are run.  At present this
#	    is as of R6.4gamma of the sample code.  This value
#	    must be used to brand implementations derived from the
#	    sample code at this revision or above.  Otherwise see value 2.  
#	2 - This value may be used in the branding of implementations
#	    which are derived from revisions of the sample code earlier
#	    than R6.4gamma. 
#
# Please see Section 4.1.2 of the User's Guide for additional information.
XT_COVERAGE=1

# XT_ALT_SCREEN - If the display supports more than one screen then
# this parameter should be set to one that is not under test.
# Set to the string UNSUPPORTED if only one screen is available.
XT_ALT_SCREEN=UNSUPPORTED

# XT_FONTPATH - 
# This should be set to a comma separated list that is a valid font path
# for the X server.  
# It should include at least the components of the default font path 
# for the X server enabling the cursor font to be accessed.  
# One of the entries in the list must be the directory in which 
# the test fonts were installed.
XT_FONTPATH=/root/xts/xts5/fonts,catalogue:/etc/X11/fontpath.d,built-ins

# XT_SPEEDFACTOR - Specifies a multiplier used for timing.
# This should be set >= 1.
# This is a speedfactor which should be set to reflect the relative delay
# in response of the underlying operating system and X server combined.
# Co-operating processes which must synchronize allow a time delay in
# proportion to this speedfactor, to account for scheduling delays in the
# underlying operating system and X server.
# There should be no need to change the default unless the round trip
# time to the X server can be very long ( >15 seconds); in this case set this
# parameter to a value larger than the maximum round trip time divided
# by 3.
XT_SPEEDFACTOR=1

# XT_RESET_DELAY - Specifies a delay time in seconds.
# Set this to be a time which is greater than or equal to the maximum time
# required by your server to reset when the last client is closed.
# The test suite pauses for this time whenever a connection is about to be 
# opened and the server may be resetting.
# The server may be resetting when the test case is entered (in startup())
# as a result of closing the last connection in the previous test case.
# The server also resets in a few places in the test for XCloseDisplay().
XT_RESET_DELAY=1

# XT_EXTENSIONS - Specifies whether you wish to test the extended assertions
# which require the XTEST extension.
# Set this to Yes if the XTEST extension is available on your system,
# and you have configured the test suite to use the XTEST extension,
# and you want to execute these tests, otherwise set to No.
XT_EXTENSIONS=Yes

###########################################################
# Configuration parameters for specific tests
###########################################################

# XT_VISUAL_CLASSES - A space separated list of the visual classes that
# are supported for the screen given by DISPLAY.  Each visual class
# is followed by a list of depths at which the class is supported
# (enclosed by brackets and separated by commas with no spaces).
# Visual classes and depths that are supported only by other screens
# should not be included.
# Note - this parameter is used to check the correctness of the information
# returned by XMatchVisualInfo and XGetVisualInfo. Other tests which loop
# over visuals obtain the visuals by calling these functions.
# Example values are:
XT_VISUAL_CLASSES=DirectColor(24) TrueColor(24) TrueColor(32)

# XT_FONTCURSOR_GOOD - This specifies the number of a glyph in the 
# default cursor font known to exist.
# XT_FONTCURSOR_GOOD+2 should also be a glyph in the default cursor font.
# Neither of these should be the same as the X server's default cursor.
XT_FONTCURSOR_GOOD=2

# XT_FONTCURSOR_BAD - This specifies the number of a glyph in the 
# default cursor font known not to exist.  If there is no such
# number then set this parameter to UNSUPPORTED.
XT_FONTCURSOR_BAD=9999

# XT_FONTPATH_GOOD -
# This should be set to a comma separated list that is a valid font path
# for the X server.  It should be different to the list specified by
# XT_FONTPATH. It need not contain the test fonts.
XT_FONTPATH_GOOD=catalogue:/etc/X11/fontpath.d,built-ins

# XT_FONTPATH_BAD - This should be set to a comma separated list that 
# is an invalid font path for the X server.
XT_FONTPATH_BAD=/no-such-path-name

# XT_BAD_FONT_NAME - This should be set to a non-existent font name.
XT_BAD_FONT_NAME=non-existent-font-name

# XT_GOOD_COLORNAME - This should be set to the name of a colour 
# which exists in the colour database for the X server.
XT_GOOD_COLORNAME=red

# XT_BAD_COLORNAME - This should be set to the name of a colour 
# which does not exist in the colour database for the X server.
XT_BAD_COLORNAME=nosuchcolor

# XT_DISPLAYMOTIONBUFFERSIZE - specifies size of pointer motion buffer
# This should be set to a non-zero value (the value returned by 
# XDisplayMotionBufferSize) if the X server supports a more complete
# history of pointer motion than that provided by event notification, or
# zero otherwise.
XT_DISPLAYMOTIONBUFFERSIZE=256

###########################################################
# Configuration parameters for Display functions
###########################################################

# XT_SCREEN_COUNT - This parameter should be set to the number of screens
# available on the display, as returned by XScreenCount.
XT_SCREEN_COUNT=1

# XT_PIXMAP_DEPTHS - A space separated list of depths supported by 
# the specified screen of the display that can be used for pixmaps.
XT_PIXMAP_DEPTHS=24 1 4 8 15 16 32

# XT_BLACK_PIXEL - This parameter should be set to the black pixel value 
# of the specified screen of the display.
XT_BLACK_PIXEL=0

# XT_WHITE_PIXEL - This parameter should be set to the white pixel value 
# of the specified screen of the display.
XT_WHITE_PIXEL=16777215

# XT_HEIGHT_MM - This parameter should be set to the height in millimeters
# of the specified screen of the display.
XT_HEIGHT_MM=476

# XT_WIDTH_MM - This parameter should be set to the width in millimeters
# of the specified screen of the display.
XT_WIDTH_MM=846

# XT_PROTOCOL_VERSION - This should be set to the major version number (11) 
# of the X protocol as returned by XProtocolVersion.
XT_PROTOCOL_VERSION=11

# XT_PROTOCOL_REVISION - This should be set to the minor protocol 
# revision number as returned by XProtocolRevision.
XT_PROTOCOL_REVISION=0

# XT_SERVER_VENDOR - This should be set to the X server vendor string
# as returned by XServerVendor.
XT_SERVER_VENDOR=Fedora Project

# XT_VENDOR_RELEASE - This should be set to the X server vendor's release 
# number as returned by XVendorRelease.
XT_VENDOR_RELEASE=11999902

# XT_DOES_SAVE_UNDERS - Set this to Yes if the specified screen of the display
# supports save unders (indicated by XDoesSaveUnders returning True)
# otherwise set to No.
XT_DOES_SAVE_UNDERS=No

# XT_DOES_BACKING_STORE - Set this to the following value:
# - 0 if the way the specified screen supports backing store is NotUseful
# - 1 if the way the specified screen supports backing store is WhenMapped
# - 2 if the way the specified screen supports backing store is Always
# The way the specified screen supports backing store is indicated by the 
# return value of XDoesBackingStore.
XT_DOES_BACKING_STORE=0

###########################################################
# Configuration parameters for connection tests
###########################################################

# XT_POSIX_SYSTEM - This may be set to Yes to indicate that the 
# underlying operating system is a POSIX system. If this parameter is
# set to Yes, some extended assertions which describe implementation 
# dependent functionality will be tested assuming POSIX concepts.
XT_POSIX_SYSTEM=Yes

# XT_TCP - Set this to yes if clients can connect to the X server under 
# test using TCP streams. This will be used (on a POSIX system)
# in the tests for XOpenDisplay.
XT_TCP=No

# XT_DISPLAYHOST - Set this to the hostname of the machine on which 
# the display is physically attached. This will be used instead of
# DISPLAY (on a POSIX system) in the tests for XOpenDisplay which
# specifically test the hostname component of the display name.
# Note that this may not be the same as the machine on which the 
# test suite clients execute (XTESTHOST).
XT_DISPLAYHOST=

# XT_LOCAL - Set this to yes if clients can connect to a local X server 
# without passing a hostname to XOpenDisplay. This will be used 
# (on a POSIX system) in the tests for XOpenDisplay.
# This is usually the case when the X server under test is running on the
# same platform as the X test suite.
# When a hostname is omitted, the Xlib implementation of XOpenDisplay 
# can use the fastest available transport mechanism to make local connections.
XT_LOCAL=Yes


###########################################################################
# The following variables are options which do not affect test results.
# They only alter the accompanying output from the test suite.
# They are accessed with the tet_getvar() function.
###########################################################################

# XT_SAVE_SERVER_IMAGE - When set to Yes, the image produced by the server 
# that is compared with the known good image is dumped to a file 
# with suffix .sav.
XT_SAVE_SERVER_IMAGE=No

# XT_OPTION_NO_CHECK - This may be set to Yes to suppress the journal file
# records containing CHECK keywords.
XT_OPTION_NO_CHECK=Yes

# XT_OPTION_NO_TRACE - This may be set to Yes to suppress the journal file
# records containing TRACE keywords.
XT_OPTION_NO_TRACE=Yes

###########################################################################
# The following variables are intended for use in debugging. They should
# not be used when running verification tests.
# They are accessed with the tet_getvar() function.
###########################################################################

# XT_DEBUG - This may be set to a debugging level between 0 and 9.
# A higher level produces more debugging output. Output is only 
# produced by the test suite at levels 1, 2 and 3 at present. So setting
# this variable to 0 produces no debug output.
XT_DEBUG=0

# XT_DEBUG_OVERRIDE_REDIRECT - When set to Yes, windows are created with
# override_redirect set.  Otherwise windows are not created with
# override_redirect set.  This enables tests to be run more easily with a
# window manager running on the same screen.
# This should not be set to Yes for verification tests.  
XT_DEBUG_OVERRIDE_REDIRECT=No

# XT_DEBUG_PAUSE_AFTER - When set to Yes, the test pauses before calls to 
# the function being tested, until Carriage Return is entered.
# This should not be set to Yes for verification tests.
XT_DEBUG_PAUSE_AFTER=No

# XT_DEBUG_PIXMAP_ONLY - When set to Yes, tests which would normally loop over
# both windows and pixmaps are restricted to loop over just pixmaps.
# This should not be set to Yes for verification tests.
# If XT_DEBUG_WINDOW_ONLY is also set, some tests will report UNRESOLVED due 
# to the fact that nothing has been tested.
XT_DEBUG_PIXMAP_ONLY=No

# XT_DEBUG_WINDOW_ONLY - When set to Yes, tests which would normally loop over
# both windows and pixmaps are restricted to loop over just windows.
# This should not be set to Yes for verification tests.
# If XT_DEBUG_PIXMAP_ONLY is also set, some tests will report UNRESOLVED due 
# to the fact that nothing has been tested.
XT_DEBUG_WINDOW_ONLY=No

# XT_DEBUG_DEFAULT_DEPTHS - When set to Yes, tests which would normally loop 
# over multiple depths are restricted to test just the first visual
# returned by XGetVisualInfo and/or the first pixmap depth returned by
# XListDepths (depending on whether XT_DEBUG_PIXMAP_ONLY or
# XT_DEBUG_WINDOW_ONLY is also set).
# This should not be set to Yes for verification tests.
# Note that the first visual returned by XGetVisualInfo may not be 
# the default visual for the screen.
XT_DEBUG_DEFAULT_DEPTHS=No

# XT_DEBUG_VISUAL_IDS - When set to a non-empty string, tests which would 
# normally loop over multiple depths are restricted to test just the 
# visuals ID's listed. Note that visual ID's for visuals on more than 
# one screen may be entered, but those used will depend on whether the test 
# being executed uses visuals on the default screen or alternate screen.
# The visuals ID's should be entered in decimal, octal or hexadecimal 
# and separated with commas and with no intervening spaces.
# This should not be set to a non-empty string for verification tests.
XT_DEBUG_VISUAL_IDS=

# XT_DEBUG_NO_PIXCHECK - When set to Yes, tests which would normally
# perform pixmap verification omit this (all other processing is
# performed in those tests as normal).
# Pixmap verification is a scheme which compares the image produced by
# the X server with a known good image file which is part of the test
# suite.
# This should not be set to Yes for verification tests.
XT_DEBUG_NO_PIXCHECK=No

# XT_DEBUG_BYTE_SEX - When set to NATIVE, REVERSE, MSB or LSB, 
# the X Protocol tests will only be executed with the specified byte sex. 
# When set to BOTH, the X Protocol tests make connections to the X server using
# both the native and reversed byte sex.
XT_DEBUG_BYTE_SEX=BOTH

# XT_DEBUG_VISUAL_CHECK - When set to a non-zero value, the X Protocol tests
# will pause for the specified time interval (in seconds) to enable a visual
# check to be performed on the displayed screen contents.
XT_DEBUG_VISUAL_CHECK=0

###########################################################################
# The following variables are intended for use only in generating known good
# image files.
###########################################################################

# XT_FONTDIR - The directory in which the VSW5 fonts are supplied (before 
# being installed).
# This must be set such that appending a string gives a valid file name.
# This is normally set to $TET_ROOT/xts5/fonts/
# This is only used by the PV library which is not part of the test suite.
XT_FONTDIR=

##############################################
# The following variables are used in xim tests
##############################################
#

#
# XT_LOCALE - The locales in which input method tests are run
#
XT_LOCALE=C

# 
# XT_FONTSET - The base font name list used to select fonts when font
# sets are generated.
# 
XT_FONTSET=-vsw-*-*-r-normal--*-120-75-75-*-*-*-*,-vsw-*-*-r-normal--*-180-75-75-*-*-*-*

#
# XT_LOCALE_MODIFIERS - Used to verify that XSetLocaleModifiers works
# properly.
# 
XT_LOCALE_MODIFIERS=@im=none

#
# XT_SAVE_IM - Used for developing and debugging input method tests.
#
XT_SAVE_IM=No

# Undocumented variables:

DISPLAY=:0
